import { Observable as o } from "./index-Observable.js";
function c(n, l) {
  return new o(function(e) {
    var t = 0;
    return l.schedule(function() {
      t === n.length ? e.complete() : (e.next(n[t++]), e.closed || this.schedule());
    });
  });
}
export {
  c as scheduleArray
};
